Subject: [radext] Fwd: [OPS-DIR] OPS-DIR Review of draft-ietf-radext-ipv6-access-13

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Thu, 3 Jan 2013 13:10:32 +0000

Hi All,

Apologies for not caching this one. For some reason our corporate mail filter classified messages to the draft-ietf… alias as "Spam".

I will be posting a ver 14 shortly, however there are two comments/nits that I need to address here:

  1.  Section 3.4.

---snip---
But there is no mention of how the pool itself is defined. A reference to the document where this has been specified would be useful

for the reader.

---snip---

Reply> Strictly speaking the pool definition is something subject to vendor implementation (as is any of the configuration of Radius too). Having checked some of the other Radius drafts, eg rfc2869, which defines the frame-pool, I did not find descriptive text about how the pool is configured, so it appears ok to leave the text as is.

2. Non rfc2606 FQDN nit.

TBH I can't find any FQDN that is being used in the text or an explicit IP address, so this seems to be a misinterpretation by the tool of something else.

Regards,

Woj..

________________________________

  *   From: Benoit Claise <bclaise at cisco.com<mailto:[email-masked]>>
  *   To: "draft-ietf-radext-ipv6-access at tools.ietf.org<mailto:[email-masked]>" <draft-ietf-radext-ipv6-access at tools.ietf.org<mailto:[email-masked]>>
  *   Cc: "Ersue, Mehmet \(NSN - DE/Munich\)" <mehmet.ersue at nsn.com<mailto:[email-masked]>>, "radext at ietf.org<mailto:[email-masked]>" <radext at ietf.org<mailto:[email-masked]>>
  *   Date: Tue, 04 Dec 2012 10:56:19 +0100
  *   In-reply-to: <80A0822C5E9A4440A5117C2F4CD36A640469F0E9 at DEMUEXC006.nsn-intra.net<mailto:[email-masked]>>
  *   References: <80A0822C5E9A4440A5117C2F4CD36A640469F0E9 at DEMUEXC006.nsn-intra.net<mailto:[email-masked]>>

________________________________
Hi Authors,

Can you please address Mehmet's comments.

Regards, Benoit

-------- Original Message --------
Subject:        [OPS-DIR] OPS-DIR Review of draft-ietf-radext-ipv6-access-13
Date:   Tue, 20 Nov 2012 14:38:15 +0100
From:   Ersue, Mehmet (NSN - DE/Munich) <mehmet.ersue at nsn.com><mailto:mehmet.ersue%20at%20nsn.com>
To:     <ops-dir at ietf.org><mailto:ops-dir%20at%20ietf.org>, <draft-ietf-radext-ipv6-access at tools.ietf.org><mailto:draft-ietf-radext-ipv6-access%20at%20tools.ietf.org>

I reviewed the draft "RADIUS attributes for IPv6 Access Networks" (
draft-ietf-radext-ipv6-access-13.txt) for its operational impact.

Summary:
Intended status: Standards Track
Current status: Waiting for AD Go-Ahead

The document specifies additional IPv6 RADIUS attributes useful in
residential broadband network deployments, which are:
assignment of a host IPv6 address and IPv6 DNS server address via
DHCPv6; assignment of an IPv6 route announced via router advertisement;
assignment of a named
IPv6 delegated prefix pool; and assignment of a named IPv6 pool for host
DHCPv6 addressing.

The document follows the standard method for Radius attribute
definition. As such the attributes and their configuration has been
sufficiently described.

I do not see any blocking issues.  The document seems to be ready for
publication as Proposed Standard.

Minor issues:

- Section 4.4. Delegated-IPv6-Prefix-Pool

I am not a AAA-NAS expert, however section 4.4. defines the
Delegated-IPv6-Prefix-Pool attribute containing the name of an assigned
pool that SHOULD be used to select an IPv6 delegated prefix for the user
on the NAS. But there is no mention of how the pool itself is defined. A
reference to the document where this has been specified would be useful
for the reader.

- There is one nit error (lines 453/454) which needs to be fixed:

** There are 2 instances of too long lines in the document, the longest
one
     being 3 characters in excess of 72.

453        0+      0+     0      0         0+      TBA4
Delegated-IPv6-Prefix-Pool
454        0+      0+     0      0         0+      TBA5
Stateful-IPv6-Address-Pool

- There is one nit warning:

== There are 1 instance of lines with non-RFC2606-compliant FQDNs in the
      document.

Cheers,
Mehmet

_______________________________________________
OPS-DIR mailing list
OPS-DIR at ietf.org<mailto:OPS-DIR%20at%20ietf.org>
https://www.ietf.org/mailman/listinfo/ops-dir

________________________________

  *   Prev by Date: [radext] Fwd: Gen-art review of draft-ietf-radext-ipv6-access-13<http://www.ietf.org/mail-archive/web/radext/current/msg07945.html>
  *   Next by Date: [radext] WG Action: Rechartered RADIUS EXTensions (radext)<http://www.ietf.org/mail-archive/web/radext/current/msg07947.html>
  *   Previous by thread: [radext] Fwd: Gen-art review of draft-ietf-radext-ipv6-access-13<http://www.ietf.org/mail-archive/web/radext/current/msg07945.html>
  *   Next by thread: [radext] WG Action: Rechartered RADIUS EXTensions (radext)<http://www.ietf.org/mail-archive/web/radext/current/msg07947.html>
  *   Index(es):
     *   Date<http://www.ietf.org/mail-archive/web/radext/current/maillist.html#07946>
     *   Thread<http://www.ietf.org/mail-archive/web/radext/current/threads.html#07946>

Note Well: Messages sent to this mailing list are the opinions of the senders and do not imply endorsement by the IETF.

---

From: Benoit Claise <[email-masked]>
Date: Fri, 11 Jan 2013 12:12:03 +0100

Hi Woj,
> Hi All,
>
> Apologies for not caching this one. For some reason our corporate mail 
> filter classified messages to the draft-ietf... alias as "Spam".
>
> I will be posting a ver 14 shortly, however there are two 
> comments/nits that I need to address here:
>
>  1. Section 3.4.
>
> ---snip---
> But there is no mention of how the pool itself is defined. A reference 
> to the document where this has been specified would be useful
> for the reader.
> ---snip---

/tmp/draft-ietf-radext-ipv6-access-14.txt(555): Found possible FQDN 'www.iana.org' in position 3; this doesn't match RFC 2606's suggested ".example" or ".example.(com|org|net)".
   -->    www.iana.org/assignments/radius-types for the following attributes:

However, the text is
6.  IANA Considerations

    This document requires the assignment of five new RADIUS attribute
    types in the "Radius Types" registry (currently located at http://
    www.iana.org/assignments/radius-types for the following attributes:

I guess that's fine.

Regards, Benoit

> Regards,
> Woj..
> ------------------------------------------------------------------------
>
>   * /From/: Benoit Claise <bclaise at cisco.com
>     <mailto:[email-masked]>>
>   * /To/: "draft-ietf-radext-ipv6-access at tools.ietf.org
>     <mailto:[email-masked]>"
>     <draft-ietf-radext-ipv6-access at tools.ietf.org
>     <mailto:[email-masked]>>
>   * /Cc/: "Ersue, Mehmet \(NSN - DE/Munich\)" <mehmet.ersue at nsn.com
>     <mailto:[email-masked]>>, "radext at ietf.org
>     <mailto:[email-masked]>" <radext at ietf.org
>     <mailto:[email-masked]>>
>   * /Date/: Tue, 04 Dec 2012 10:56:19 +0100
>   * /In-reply-to/: <80A0822C5E9A4440A5117C2F4CD36A640469F0E9 at
>     DEMUEXC006.nsn-intra.net
>     <mailto:[email-masked]>>
>   * /References/: <80A0822C5E9A4440A5117C2F4CD36A640469F0E9 at
>     DEMUEXC006.nsn-intra.net
>     <mailto:[email-masked]>>
>
> ------------------------------------------------------------------------
> Hi Authors,
>
> From: 	Ersue, Mehmet (NSN - DE/Munich) <mehmet.ersue at nsn.com>
> To: 	<ops-dir at ietf.org>, <draft-ietf-radext-ipv6-access at 
> tools.ietf.org>
>
>
>
> OPS-DIR at ietf.org
> ------------------------------------------------------------------------
>
>   * Prev by Date: *[radext] Fwd: Gen-art review of
>     draft-ietf-radext-ipv6-access-13
>     <http://www.ietf.org/mail-archive/web/radext/current/msg07945.html>*
>   * Next by Date: *[radext] WG Action: Rechartered RADIUS EXTensions
>     (radext)
>     <http://www.ietf.org/mail-archive/web/radext/current/msg07947.html>*
>   * Previous by thread: *[radext] Fwd: Gen-art review of
>     draft-ietf-radext-ipv6-access-13
>     <http://www.ietf.org/mail-archive/web/radext/current/msg07945.html>*
>   * Next by thread: *[radext] WG Action: Rechartered RADIUS EXTensions
>     (radext)
>     <http://www.ietf.org/mail-archive/web/radext/current/msg07947.html>*
>   * Index(es):
>       o *Date*
>         <http://www.ietf.org/mail-archive/web/radext/current/maillist.html#07946>
>
>       o *Thread*
>         <http://www.ietf.org/mail-archive/web/radext/current/threads.html#07946>
>
>
> *Note Well: Messages sent to this mailing list are the opinions of the 
> senders and do not imply endorsement by the IETF.*
>
>
>
> radext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/radext